Skip to main content

Characteristics API

Get All Characteristics

GET /api/v1/manager-core/products/{type}/characteristics

Get all characteristics for a product type.

Query Parameters:

ParameterTypeRequiredValidation
languagestringYesexists:languages,code
categoryinteger/arrayNoFilter by category
statusinteger/arrayNoFilter by status
block_editorbooleanNoFilter for block editor

Parameters:

  • type (path) - Product type (products, materials)

Get Variant Characteristics

GET /api/v1/manager-core/products/{type}/characteristics/variant

Query Parameters:

ParameterTypeRequiredValidation
languagestringYesexists:languages,code

Parameters:

  • type (path) - Product type

Get Characteristic

GET /api/v1/manager-core/products/{type}/characteristics/{id}

Parameters:

  • type (path) - Product type
  • id (path) - Characteristic ID

Add Characteristic

POST /api/v1/manager-core/products/{type}/characteristics/add

Parameters:

  • type (path) - Product type

Request Body:

ParameterTypeRequiredValidation
namearrayYesObject with language codes as keys
name.enstringYesstring, min:1, unique
typeintegerYesint
schema_typeintegerNoSchema type

Edit Characteristic

POST /api/v1/manager-core/products/{type}/characteristics/edit

Parameters:

  • type (path) - Product type

Request Body:

ParameterTypeRequiredValidation
idintegerYesexists:characteristics_types,id
namearrayYesObject with language codes as keys
descriptionarrayNoObject with language codes as keys
typeintegerNoCharacteristic type
schema_typeintegerNoSchema type
requiredbooleanNo-
show_in_block_editorbooleanNo-

Move Characteristic Values

POST /api/v1/manager-core/products/{type}/characteristics/move

Parameters:

  • type (path) - Product type

Request Body:

ParameterTypeRequiredValidation
idintegerYesexists:characteristics_types,id
itemsarrayYesOrdered array of value IDs

Add Value

POST /api/v1/manager-core/products/{type}/characteristics/add-value

Parameters:

  • type (path) - Product type

Request Body:

ParameterTypeRequiredValidation
idintegerYesexists:characteristics_types,id
valuearrayYesObject with language codes as keys
value.enstringYesstring, min:1

Edit Value

POST /api/v1/manager-core/products/{type}/characteristics/edit-value

Parameters:

  • type (path) - Product type

Request Body:

ParameterTypeRequiredValidation
idintegerYesexists:characteristics_values,id
valuearrayNoObject with language codes as keys
custom_1stringNoCustom field 1
custom_2stringNoCustom field 2

Delete Value

POST /api/v1/manager-core/products/{type}/characteristics/delete-value

Parameters:

  • type (path) - Product type

Request Body:

ParameterTypeRequiredValidation
idintegerYesexists:characteristics_values,id

Delete Characteristic

POST /api/v1/manager-core/products/{type}/characteristics/delete

Parameters:

  • type (path) - Product type

Request Body:

ParameterTypeRequiredValidation
idintegerYesexists:characteristics_types,id